import Ad from "@/pages/launchSystemNew/adq/ad"
import { Card, Tabs } from "antd"
import React, { useState } from "react"
import { useModel } from "umi"
import Monitor from "./monitor"
import PlanList from "./planList"


const AdMonitorList: React.FC = () => {
    // 变量开始
    const [tab, setTab] = useState<string>('monitor')  // tab切换
    const { getPlanList, getPlanDetailList, getAllPlanList } = useModel('useAdMonitor.useMonitor')
    // 变量结束

    return <div className="adMonitorList">
        <Tabs activeKey={tab} className="adMonitorListTab" size="small" type="card" onChange={(activeKey: string) => {
            if (activeKey === 'monitor') {
                getAllPlanList.data && getAllPlanList.mutate([])
            } else {
                getPlanList.data && getPlanList.mutate([])
                getPlanDetailList.data && getPlanDetailList.mutate([])
            }
            setTab(activeKey)
        }}>
            <Tabs.TabPane tab="今日起量广告监控" key="monitor" />
            <Tabs.TabPane tab="广告列表" key="list" />
            <Tabs.TabPane tab="广告列表2" key="list2" />
        </Tabs>
        {tab === 'monitor' ? <Monitor onChange={() => { setTab('list') }} /> : tab === 'list' ? <PlanList /> : <Card><Ad userId={localStorage.getItem("userId") as string} /></Card>}
    </div>
}

export default AdMonitorList